// header for OSPF_Packet_Queue.h

#ifndef deftestlsabase
 #include "LSA_Base.h"
#endif

#ifndef deftestospfpb
 #include "OSPF_Packet_Base.h"
#endif

#ifndef deftestlsup
 #include "Link_State_Update_Packet.h"
#endif

#define	deftestospfpq

typedef struct
{
  OSPF_Packet_Base* packet;
  int linkID;
}
OSPF_Packet;

class OSPF_Packet_Queue  
{
 public:
  OSPF_Packet_Queue();
  ~OSPF_Packet_Queue();
  int getLength();
  int enqueue(OSPF_Packet* packet);
  OSPF_Packet* dequeue();
  
 private:
  int qLength;
  OSPF_Packet **packets;
};
